/*
	QAD - Qt ADvanced

	Ivan Pelipenko peri4ko@yandex.ru, Andrey Bychkov work.a.b@yandex.ru

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef QPICONFIGNEWDIALOG_H
#define QPICONFIGNEWDIALOG_H

#include <QDialog>
#include <QRadioButton>
#include "qad_export.h"


namespace Ui {
	class QPIConfigNewDialog;
}


class QAD_EXPORT QPIConfigNewDialog: public QDialog
{
	Q_OBJECT
	
public:
	QPIConfigNewDialog(QWidget * parent = 0);
	
	QString type();
	QString name();
	QString value();
	QString comment();
	void reset(bool node = false);
	
protected:
	void changeEvent(QEvent * e);
	
	Ui::QPIConfigNewDialog * ui;
	
private slots:
	void on_lineName_textChanged(const QString & text);
	void typeChanged();

private:
	QList<QRadioButton * > radios;
	
};

#endif // QPICONFIGNEWDIALOG_H
